// Error and help messages:
char* helpmsgs[]={
	"\
pdfc: translates any combination of xml/pdf input/output.\n\
Usage:\n\
pdfc [--help] [-d] [-li] [-lo] [--decompose] [-it=<input type>] [-ot=<output type>]\n\
\t[-if=<input file>] [-of=<output file>]\n\
xml2pdf [--help] [-it=<input type>] [-ot=<output type>]\n\
\t[-if=][<input file>] [-of=][<output file>]\n\
pdf2xml [--help] [-d] [--decompose] [-it=<input type>] [-ot=<output type>]\n\
\t[-if=][<input file>] [-of=][<output file>]\n\n", //0
	"\
Each of {it, ot, if, of} can only be specified once.  If the type for\n\
input or output is specified, but the corresponding file isn't, then the\n\
standard stream is used.  If the file is specified, but the corresponding\n\
type isn't, then the file's extension (.xml or .pdf) implicitly specifies\n\
type.  If a type is specified, AND the corresponding type is also\n\
explicitly specified, then the file's extension is ignored.  It is an\n\
error for neither type nor file to be specified, since the program then\n\
can't determine type.\n\
The -li designates that the XML input file is in the low level format.\n\
The -lo designates that the XML output file will be in the low level format.\n\
The -d (or --decompose) option for xml output specifies that all binary\n\
streams should be saved as separate files in the current directory, with\n\
the output xml file containing references to those files rather than\n\
embedded streams.  The filenames for the streams are system-generated.\n\
This is useful for manipulation of raw stream data (e.g. pictures and\n\
fonts) with external utilities.\n\
Special usage: if the program is invoked with the name xml2pdf (e.g. if\n\
that's a symlink), then the input type is automatically set to xml and\n\
the output type to pdf, and the filename extensions are ignored.  Input\n\
and output types can still be manually specified, in which case they\n\
override the defaults set by the program invokation name.  Additionally,\n\
with xml2pdf invokation, the -if= and -of= prefixes for filenames may be\n\
dropped; the first filename is taken to be the input, and the second is\n\
output.  If only one filename is given, it is taken as the input, and the\n\
output is to stdout.  If no arguments are given, stdin and stdout are used.\n\
Corresponding features also apply for the invokation name pdf2xml.\n\
Note that if the -if= or -of= prefix is omitted, a filename may not begin\n\
with a \"-\".\n\n", //1
	"\
Copyright 2000 Interlan Communications.\n\
Created by Steve Dunn, Andrew Sieber and Michael Rothwell.\n\n" //2
};

char* errmsgs[]={
	"Reserved error message.  The program must have a bug.\n", //0
	"Error: ", //1
	"For more information, type \"pdfc --help\"\n", //2
	"input type cannot be specified more than once.\n", //3
	"unknown input type.\n", //4
	"output type cannot be specified more than once.\n", //5
	"unknown output type.\n", //6
	"input file cannot be specified more than once.\n", //7
	"output file cannot be specified more than once.\n", //8
	"unrecognized argument.\n", //9
	"Reserved error message.  The program must have a bug.\n", //10
	"internal logic error.  The program definitely has a bug.\n", //11
	"unable to open input file.\n", //12
	"unable to open output file.\n", //13
	"unrecognized argument (too short).\n" //14
};

