#include "dll_export.h"


#ifndef __HASH_HPP
#define __HASH_HPP

#include "stringclass.h"

#include "thash.h"
using Thash::HashTable;

class DllExport  HashableObj {
};

class DllExport  Hash {
public:
	bool freeMem;
	Hash();
	void add(int key, HashableObj *obj);
	void add(char *key, HashableObj *obj);
	void add(String key, HashableObj *obj);
	HashableObj* get(int key);
	HashableObj* get(char* key);
	HashableObj* get(String key);
	void remove(char* key);
	void remove(String key);
private:
	HashTable<String, HashableObj*> h;
};

#endif
