#include <stdlib.h>
#include <stdio.h>

#include "PdfObjects.hpp"
#include "pdfc_basicobjects.h"
#include "FontReader.hpp"
#include "ImageReader.hpp"

int main(int arvc, char **argv) {
	PObj *obj;
	String output;
	char *str;
	PDF_root *root = new PDF_root();

	PdfImage *image = new PdfImage();
	image->filename = "crab_vlt.jpg";
	image->loadData();
	image->filename = "";

	ImageReader iReader;
	iReader.readImage(image);

	obj = image->renderBasicObjects(root);
	obj->id = 1;
	obj->render_xml(0, output);
	str = output.nullterm();
	printf("Image:\n%s\n", str);
	delete [] str;

/*
	output = obj->render_pdf();
	printf("Image rendered to Pdf\n");
	delete obj;
*/

	delete image;

/*
	PdfFont *font = new PdfFont();
	font->subType = "TrueType";
	font->filename = "antique.ttf";
	font->loadData();

	FontReader::readFont(font);

	obj = font->renderBasicObjects();
	obj->id = 2;

	output = obj->render_xml(0);
	str = output.nullterm();
	printf("Font:\n%s\n", str);
	delete [] str;
	output = obj->render_pdf();
	printf("Font rendered to Pdf\n");
	delete obj;

	delete font;
*/
}

