#include <stdlib.h>
#include <stdio.h>

#include "pdfc_basicobjects.h"

void main(int argc, char **argv) {
	int i;
	char *last = NULL;

	init_pscommands();

	printf("<!ENTITY %% cmds \"");
	for(i=0; i<NUMBER_OF_PRIMITIVE_COMMANDS; i++) {
		if( (last == NULL) || (strcmp(last, pscommands_primitive[i]->alias) != 0))
			printf("%s|", pscommands_primitive[i]->alias);
		last = pscommands_primitive[i]->alias;
	}
	for(i=0; i<NUMBER_OF_COMPLEX_COMMANDS; i++) {
		printf("%s", pscommands_complex[i]);
		if(i < NUMBER_OF_COMPLEX_COMMANDS-1)
			printf("|");
	}
	printf("\">\n\n");

	last = NULL;
	for(i=0; i<NUMBER_OF_PRIMITIVE_COMMANDS; i++) {
		if( (last == NULL) || (strcmp(last, pscommands_primitive[i]->alias) != 0)) {
			printf("<!ELEMENT %s ((%%basic_type;)*)>\n", pscommands_primitive[i]->alias);
		}

		last = pscommands_primitive[i]->alias;
	}
	for(i=0; i<NUMBER_OF_COMPLEX_COMMANDS; i++) {
		printf("<!ELEMENT %s ((%%basic_type;)*)>\n", pscommands_complex[i]);
	}
	printf("\n");

	printf("<!ELEMENT contents ((%%cmds;)*)>\n");
}

