#include "dll_export.h"


#ifndef _PDFReader_HXX
#define _PDFReader_HXX

#include "FileReader.hpp"
#include "pdfc_base.h"
#include "pdfc_basicobjects.h"

#define START 0
#define BODY 1
#define TRAILER 2
#define DONE_TRAILER 3
#define FINISHED 4

class DllExport PDFReader {
public:
	PDFReader();
	PObj* parse(DataReader *data);
private:
	PObj* readXRef(DataReader *file, PDF_root* rootObject, Hashtable *offsetHash);
	PDF_trailer* readTrailer(DataReader *file, PDF_root *rootObject, PObj *deletions, int xrefOffset);
	bool DEBUG_OUTPUT;
};

#endif
