#include "dll_export.h"


#ifndef _PSCOMMANDS_H
#define _PSCOMMANDS_H

#include "pdfc_basicobjects.h"

class DllExport PsCommands {
public:

// High Level Commands
static PObj* DllExport drawimage(PObj *box, String imageName);
static PObj* DllExport drawstring(String fontId, int fontSize, PObj *box, String text);

// Basic Commands
static PObj* DllExport closepath_eofill_and_stroke();
static PObj* DllExport closepath_fill_and_stroke();
static PObj* DllExport begin_marked_content_with_propertylist();
static PObj* DllExport eofill_and_stroke();
static PObj* DllExport fill_and_stroke();
static PObj* DllExport begin_image();
static PObj* DllExport begin_marked_content(const String& name0);
static PObj* DllExport begin_text_object();
static PObj* DllExport begin_hiding_undefined_operators();
static PObj* DllExport appendbeziercurve(double num0, double num1, double num2, double num3, double num4, double num5);
static PObj* DllExport concatenate_CTM_matrix(double num0, double num1, double num2, double num3, double num4, double num5);
static PObj* DllExport set_fillcolorspace(const String& name0);
static PObj* DllExport set_strokecolorspace(const String& name0);
static PObj* DllExport set_character_width(double num0, double num1);
static PObj* DllExport set_cache_device(double num0, double num1, double num2, double num3, double num4, double num5);
static PObj* DllExport execute_xobject(const String& xobject0);
static PObj* DllExport mark_point_with_propertylist();
static PObj* DllExport set_dashpattern(PDF_array *array0, double num1);
static PObj* DllExport end_image();
static PObj* DllExport end_marked_content();
static PObj* DllExport end_text_object();
static PObj* DllExport end_hiding_undefined_operators();
static PObj* DllExport fillpath();
static PObj* DllExport fillpath_oddeven();
static PObj* DllExport set_grayfilltint(double num0);
static PObj* DllExport set_graystroketint(double num0);
static PObj* DllExport set_graphicsstate(const String& name0);
static PObj* DllExport closecurrentsubpath();
static PObj* DllExport begin_image_data();
static PObj* DllExport set_flatness(double num0);
static PObj* DllExport set_linecap(double num0);
static PObj* DllExport set_linejoin(double num0);
static PObj* DllExport set_fillcolorCMYK(double num0, double num1, double num2, double num3);
static PObj* DllExport set_strokecolorCMYK(double num0, double num1, double num2, double num3);
static PObj* DllExport lineto(double num0, double num1);
static PObj* DllExport moveto(double num0, double num1);
static PObj* DllExport mark_point(const String& name0);
static PObj* DllExport set_miterlimit(double num0);
static PObj* DllExport endpath();
static PObj* DllExport newline_and_setspacing_and_show_text_string(double num0, double num1, const String& string2);
static PObj* DllExport newline_and_show_text_string(const String& string0);
static PObj* DllExport exec_postscript(const String& string0);
static PObj* DllExport restore_graphics_state();
static PObj* DllExport save_graphics_state();
static PObj* DllExport add_rectangle(double num0, double num1, double num2, double num3);
static PObj* DllExport set_fillcolorRGB(double num0, double num1, double num2);
static PObj* DllExport set_strokecolorRGB(double num0, double num1, double num2);
static PObj* DllExport set_colorrenderingintent(const String& name0);
static PObj* DllExport close_and_strokepath();
static PObj* DllExport SCN();
static PObj* DllExport scn();
static PObj* DllExport set_fillcolor();
static PObj* DllExport set_strokecolor();
static PObj* DllExport shade(double num0);
static PObj* DllExport strokepath();
static PObj* DllExport set_character_spacing(double num0);
static PObj* DllExport newline(double num0, double num1);
static PObj* DllExport newline_and_set_leading(double num0, double num1);
static PObj* DllExport set_font_and_size(const String& name0, double num1);
static PObj* DllExport show_text_string(const String& string0);
static PObj* DllExport show_text_string_with_displacements(PDF_array *array0);
static PObj* DllExport set_text_leading(double num0);
static PObj* DllExport set_text_matrix(double num0, double num1, double num2, double num3, double num4, double num5);
static PObj* DllExport newline_with_defaultoffset();
static PObj* DllExport set_text_rendering_mode(double num0);
static PObj* DllExport set_text_size(double num0);
static PObj* DllExport set_word_spacing(double num0);
static PObj* DllExport set_horizontal_scaling(double num0);
static PObj* DllExport appendbeziercurve_current(double num0, double num1, double num2, double num3);
static PObj* DllExport clip();
static PObj* DllExport clip_evenodd();
static PObj* DllExport set_linewidth(double num0);
static PObj* DllExport appendbeziercurve_current_secondversion(double num0, double num1, double num2, double num3);
};

#endif
