#include "dll_export.h"


#ifndef _XMLElement_hxx
#define _XMLElement_hxx

#include "stringclass.h"

#ifdef WIN32
#include "libxml/parser.h"
#include "libxml/parserInternals.h"
#else
#include <parser.h>
#include <parserInternals.h>
#endif

class DllExport XMLElement {
public:
	XMLElement();
	XMLElement(const xmlChar *newName, const xmlChar **attributes);
	~XMLElement();
	void appendToCData(const xmlChar *ch, int len);
	char* getAttribute(char *key);

	String cdata;
	char* encoding;
	char* name;
	int attrLen;
	char** attrName;
	char** attrValue;
	bool mapsToElement;
private:
};

#endif
