#include "dll_export.h"

#ifndef _XMLModule_lowLevel_hxx
#define _XMLModule_lowLevel_hxx

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <iostream.h>

#include "XMLModule.hpp"
#include "XMLElement.hpp"
#include "pdfc_base.h"

class DllExport XMLModule_lowLevel : public XMLModule {
public:
	bool parsingPostscript;

	XMLModule_lowLevel();
	XMLModule_lowLevel(bool willParsePostscript);

	virtual void enablePostscriptParsing();

	virtual PObj* getRoot(); 
	virtual void reset(bool deleteTree);
	virtual void startElement(XMLElement** stack, int level);
	virtual void endElement(XMLElement** stack, int level);
private:
	bool DEBUG_OUTPUT;
	PObj *root;
	PObj *currentObj;
};

#endif
