#include "Hash.hpp"

#include <stdlib.h>
#include <stdio.h>

Hash::Hash() {}

void Hash::add(String key, HashableObj *obj) {
	h.add(key, obj);
}

void Hash::add(char *key, HashableObj *obj) {
	add(String(key), obj);
}

void Hash::add(int key, HashableObj *obj) {
	char buffer[256];
	
	sprintf(buffer, "%d", key);
	add(String(buffer), obj);
}

HashableObj* Hash::get(String key) {
	HashableObj** temp=h.getValue(key);
	if(temp==NULL) return NULL;
	else return *temp;
}

HashableObj* Hash::get(char* key) {
	return get(String(key));
}

HashableObj* Hash::get(int key) {
	char buffer[256];
	
	sprintf(buffer, "%d", key);
	return get(String(buffer));
}

void Hash::remove(String key) {
	h.remove(key);
}

void Hash::remove(char* key) {
	remove(String(key));
}
